%define oname   digest-crc


Name:       ruby-%{oname}
Version:    0.7.0
Release:    %mkrel 1
Summary:    A Cyclic Redundancy Check (CRC) library for Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/postmodern/digest-crc#readme
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ruby-rake

%description
Adds support for calculating Cyclic Redundancy Check (CRC) to the Digest
module.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build
find . -name *.so | while read so; do
	echo $so | grep -q %{gem_instdir}/ext || continue
	sodest=$(echo $so | sed "s|%{gem_instdir}/ext|%{gem_extdir_mri}|")
	mkdir -p $(dirname $sodest)
	mv $so $sodest
done

%install
%gem_install

%files
%doc LICENSE.txt
%doc README.md
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
%doc ChangeLog.md



%changelog
* Sat Feb 01 2025 pterjan <pterjan> 0.7.0-1.mga10
+ Revision: 2144173
- Update to 0.7.0

* Fri Dec 06 2024 pterjan <pterjan> 0.6.5-3.mga10
+ Revision: 2122270
- Rebuild to drop rich requires

* Wed Dec 04 2024 pterjan <pterjan> 0.6.5-2.mga10
+ Revision: 2120970
- Rebuild for Ruby 3.3

* Mon Apr 08 2024 pterjan <pterjan> 0.6.5-1.mga10
+ Revision: 2055474
- Update to 0.6.5

* Wed May 04 2022 pterjan <pterjan> 0.6.4-1.mga9
+ Revision: 1856122
- Add missing BuildRequires
- Update to 0.6.4 and fix missing binary extensions

* Fri Mar 25 2022 umeabot <umeabot> 0.5.1-2.mga9
+ Revision: 1826511
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Update to 0.5.1

* Sat Mar 28 2020 pterjan <pterjan> 0.5.1-1.mga8
+ Revision: 1561436
- Update to 0.5.1

* Wed Feb 12 2020 umeabot <umeabot> 0.4.1-3.mga8
+ Revision: 1499727
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1275123
- Mageia 7 Mass Rebuild

* Mon May 09 2016 pterjan <pterjan> 0.4.1-1.mga6
+ Revision: 1011147
- imported package ruby-digest-crc

